package com.energy.manage.service.service.homepage;

import com.energy.manage.common.po.analysis.AnalysisResultPo;
import com.energy.manage.service.domain.vo.analysis.AnalysisOptionRecordsVo;
import com.energy.manage.service.domain.vo.homepage.HomePageVo;
import com.energy.manage.service.domain.vo.homepage.WaitTaskVo;

import java.util.List;

/**
 * @author chy
 * @date 2024/6/13 14:02
 * @desc
 */
public interface HomePageService {

    /**
     * 驾驶舱首页查询
     * @param codeNumber
     * @param codeType
     */
    HomePageVo queryStatistics(Integer roleId, String codeNumber, String codeType);


    /**
     * 查询操作记录
     * @param codeNumber
     * @param codeType
     * @return
     */
    List<AnalysisOptionRecordsVo> queryOptionRecords(Integer roleId, String codeNumber, String codeType);

    /**
     * 待办任务统计数量接口
     * @param roleId
     * @return
     */
    WaitTaskVo getWaitTask(Integer roleId);

    /**
     * 未关联数据集合
     * @param roleId
     * @return
     */
    List<AnalysisResultPo> getAnalysisResultStateList(Integer roleId);

    /**
     * 分析异常数
     * @param roleId
     * @return
     */
    List<AnalysisResultPo> getAnalysisResultErrStateList(Integer roleId);
}
